package com.jxy.marketall.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.entity.BiAn;
import com.jxy.marketall.vo.*;

import java.util.List;


/**
 * @Description 宏观经济指标相关服务类
 * @Date 2022/6/20 17:40
 * @Author 杜懿
 */
public interface MacroEconomyService{

    /***
     * 查询国债收益率  时间分页
     * @param vo
     * @return
     */
    public AjaxResult getTreasuriesYields(TreasuriesYieldsVo vo);

    /***
     * 查询货币供应量 传参选择是否季节性调整
     * @param vo
     * @return
     */
    public AjaxResult getMoneyStockMeasures(MoneyStockMeasuresVo vo);

    /***
     * 查询私营部门贷款 Private sector loans
     * @param vo
     * @return
     */
    public AjaxResult getPSI(QueryVo vo);

    /***
     * 查询私人债务占GDP比重
     * @param vo
     * @return
     */
    public AjaxResult getGDPPrivateInvestor(QueryVo vo);

    /***
     * 查询每周经济指标
     * @param vo
     * @return
     */
    public AjaxResult getWEI(QueryVo vo);

    /***
     * 查询最新汇率
     * @return
     */
    public AjaxResult getNewExchangeRate();


    /***
     * 查询汇率
     * @return
     */
    public AjaxResult getExchangeRateList(BiAnVo vo);

    /***
     * 查询最新国内生产总值
     * @return
     */
    public AjaxResult getNewGDP();

    /***
     * 查询最新国内生产总值
     * @return
     */
    public AjaxResult getGDPList(BiAnVo vo);
}
